A Treasure Hunter can be said to be a specialized Rogue. That is why the combat style and party play is similar to a Rogue using a dagger. During certain times in a Siege Battle, Treasure Hunters can play the role of an Assassin. When an opponent appears he can instantly increase evasion and movement, enabling himself to follow his opponent to kill.
They have basic skills using the dagger and strengthening their light equipment and risky skills which involve attempts to give great damages in an instant.
To be a Treasure Hunter, your level must be over 40 and you need to collect the Mark of the Seeker, the Mark of Trust, and the Mark of the Searcher.
Ask about marks.
Return